Bug 36941 - Wrong SDL version
Summary: Wrong SDL version
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: aout-libs   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-20 23:30 UTC by Matthias Saou
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 12:02:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Saou 2001-04-20 23:30:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.7) Gecko/20010316


The armagetron package seems to be compiled against SDL 1.0 whereas Seawolf
includes only 1.1.

Reproducible: Always
Steps to Reproduce:
1. /usr/games/armagetron/armagetron


Actual Results:  /usr/games/armagetron/armagetron: error while loading
shared libraries: libSDL_image-1.0.so.0: cannot load shared object file: No
such file or directory

Expected Results:  The game should have been launched, no? :-)

[dude@neurone dude]$ rpm -qa | grep SDL
SDL_image-devel-1.1.0-1
SDL-1.1.7-3
SDL_image-1.1.0-1
SDL_mixer-1.1.0-2
SDL-devel-1.1.7-3
SDL_mixer-devel-1.1.0-2

[dude@neurone dude]$ locate libSDL_image
/usr/lib/libSDL_image.so
/usr/lib/libSDL_image-1.1.so.0
/usr/lib/libSDL_image-1.1.so.0.0.0
/usr/lib/libSDL_image.a

Comment 1 Karsten Hopp 2001-05-02 11:00:26 UTC
Could you please send me the output of the following commands:

rpm -q armagetron
rpm -q --requires armagetron

  Thanks
         Karsten

Comment 2 Matthias Saou 2001-05-02 11:17:09 UTC
Here they are :

[dude@devel dude]$ rpm -q armagetron
armagetron-0.1.4.3-2
[dude@devel dude]$ rpm -q --requires armagetron
Mesa >= 3.4
glibc >= 2.2
SDL_image >= 1.0.9
SDL >= 1.1.6
esound  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1


Comment 3 Karsten Hopp 2001-05-02 11:59:27 UTC
Strange, it works here after a fresh installation...
Could you send me the output of 'ldd /usr/games/armagetron/armagetron', please ?

Comment 4 Matthias Saou 2001-05-02 12:02:02 UTC
[dude@devel SPECS]$ ldd /usr/games/armagetron/armagetron
	libSDL_image-1.0.so.0 => not found
	libpng.so.2 => /usr/lib/libpng.so.2 (0x4002e000)
	libz.so.1 => /usr/lib/libz.so.1 (0x4004f000)
	libSDL-1.1.so.0 => /usr/lib/libSDL-1.1.so.0 (0x4005d000)
	libpthread.so.0 => /lib/i686/libpthread.so.0 (0x400cb000)
	libGLU.so.1 => /usr/lib/libGLU.so.1 (0x400e0000)
	libGL.so.1 => /usr/lib/libGL.so.1 (0x400f4000)
	libstdc++-libc6.2-2.so.3 => /usr/lib/libstdc++-libc6.2-2.so.3 (0x40159000)
	libm.so.6 => /lib/i686/libm.so.6 (0x4019c000)
	libc.so.6 => /lib/i686/libc.so.6 (0x401c0000)
	libdl.so.2 => /lib/libdl.so.2 (0x402f0000)
	libartsc.so.0 => /usr/lib/libartsc.so.0 (0x402f4000)
	libesd.so.0 => /usr/lib/libesd.so.0 (0x402fa000)
	libaudiofile.so.0 => /usr/lib/libaudiofile.so.0 (0x40301000)
	libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40312000)
	libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x403f3000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)



Note You need to log in before you can comment on or make changes to this bug.